#include <qmainwindow.h>
#include <qmultilinedit.h>

#ifndef JSEMAIN_H
#define JSEMAIN_H

#include "my_editor.h"

// // //
#define APPWINDOWNAME "just SubEdit (C) 2002 by Arthur Sikora"

#define APPNAME "just SubEdit v0.1"
#define DEFAULTFILENAME "napisy.txt"

class QSubEditMain : public QMainWindow
{
  Q_OBJECT
  public:
    QSubEditMain(QString filename);
    ~QSubEditMain();

  protected:
    void closeEvent(QCloseEvent *e);
  
  private:
    QString		filename;
    QToolBar       	*toolbar;
    MyEditor	 	*editor;

  private slots:
    void setFileName(QString filename);
  
    void newFile();
    void open();
    void load(QString filename);
    void save();
    void saveAs();
    
    void showAbout();
    
    void mustSpecifyFps(); // anuluj disablowany
    void specifyFps();
    
    void subtitlesConvert();
    void shiftTime();
    void changeShowTime();
    void changeSubFps();
    void correctSubtitles();
};

#endif
